############################################################################################
#                                                                                          #
# Helpful Information on the ABASIC (ApolloBASIC) programming language:                    #
#                                                                                          #
#   * A Structure is a TEMPORARY object which exists only in video memory, an example      #
#     of a structure would be a line, or a box. When the screen refreshes, the box or      #
#     line is immediatly cleared.                                                          #
#   * An object is a structure that is stored in resident memory and is linked using       #
#     signals and events for interprocess communiations. An object is always resident      #
#     until it is dumped, or deleted.                                                      #
#   * An event is caused by an INPUT device such as the keyboard or mouse interacting      #
#     with an object.                                                                      #
#   * A signal is caused by the kernel broadcasting a message throughout the objects       #
#     or another object broadcasting a message throughout all the active objects.          #
#   * The only process event that can be executed is CurrentProcess_Load, all other        #
#     instances of process events will be ignored.                                         #
#                                                                                          #
############################################################################################


ON EVENT CurrentProcess_Load {

        ## Occurs as soon as this program loads. (only once)
  #GET_KEYBOARD_INPUT {
    X1=10
    Y1=10
    PROMPT=Hello:/
  }

  #set_active_d { 1 }
     ## Drop the new active desktop at one (default).

  #SPAWN WINDOW_OBJECT {
     X1=0
     Y1=0
     X2=640
     Y2=25
     TB=0
     BC=15
     BG=7
     WC=Taskbar
     Style=1
  }
 #SPAWN TEXT_OBJECT {
     X1=4
     Y1=4
     Text=
  }
}

ON EVENT CurrentWindow_Click {
	
	## Someone clicked a window, what are we going to do now?

}

ON EVENT CurrentWindow_Close {
	
	## The window was closed and the process will immediatly be shut down, we have
        ## only a few milliseconds to do something.

}

ON EVENT CurrentWindow_Resize {

	## Someone resized the window, now what?!

}
