############################################################################################
#                                                                                          #
# Helpful Information on the ABASIC (ApolloBASIC) programming language:                    #
#                                                                                          #
#   * A Structure is a TEMPORARY object which exists only in video memory, an example      #
#     of a structure would be a line, or a box. When the screen refreshes, the box or      #
#     line is immediatly cleared.                                                          #
#   * An object is a structure that is stored in resident memory and is linked using       #
#     signals and events for interprocess communiations. An object is always resident      #
#     until it is dumped, or deleted.                                                      #
#   * An event is caused by an INPUT device such as the keyboard or mouse interacting      #
#     with an object.                                                                      #
#   * A signal is caused by the kernel broadcasting a message throughout the objects       #
#     or another object broadcasting a message throughout all the active objects.          #
#   * The only process event that can be executed is CurrentProcess_Load, all other        #
#     instances of process events will be ignored.                                         #
#                                                                                          #
############################################################################################


ON EVENT CurrentProcess_Load {

        ## Occurs as soon as this program loads. (only once)

     ## #set_active_d { 1 }
     ## Drop the new active desktop at one (default).

  #SPAWN WINDOW_OBJECT {
     X1=0
     Y1=0
     X2=640
     Y2=25
     TB=0
     BC=15
     BG=7
     WC=Taskbar
     Style=1
  }
 
 #SPAWN TEXT_OBJECT {
     X1=4
     Y1=4
     Text=$TIME
      ## Create an internally balanced TIME object.
  }
 #SPAWN TEXT_OBJECT {
     X1=74
     Y1=4
     Text=Total Objects: 
  }
 #SPAWN TEXT_OBJECT {
     X1=175
     Y1=4
     Text=#OBJECTS
       ## Create a field that shows how many objects there are.
  }
 #SPAWN BUTTON_OBJECT {
     X1=550
     Y1=3
     X2=630
     Y2=23
     BC=Shutdown
 }
}

ON EVENT CurrentWindow_Button1_Click {
 @SHUTDOWN
}
